import { Component, OnInit } from '@angular/core';
import { Router } from "@angular/router";
import { MyService } from '../my.service';

@Component({
  selector: 'ydlife-recruiting',
  templateUrl: './recruiting.component.html',
  styleUrls: ['./recruiting.component.scss']
})
export class RecruitingComponent implements OnInit {
  recruitingList: Array<any>;
  titleList: Array<any>;
  selectedId: any;
  constructor(private router: Router, private myService: MyService) { }

  ngOnInit() {
    this.titleList = [
      { id: 1, name: '待跟进' },
      { id: 2, name: '跟进中' },
      { id: 4, name: '已报聘' },
    ]
    this.recruitingList = [
      { id: 1, name: '月亮', mobileNo: '18100000000', sources: 'boss直聘', status: '有意向', date: '2020-01-12' },
      { id: 2, name: '太阳', mobileNo: '18100000001', sources: '拉钩网', status: '有意向', date: '2020-01-12' },
      { id: 3, name: '星星', mobileNo: '18100000002', sources: '拉钩网', status: '考虑加入', date: '2020-01-12' },
    ]
  }

  addMember() {
    this.router.navigate(['/recruiting/0']);

  }
  selectTab(id) {
    console.log(id)
  }



}
